summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 19:45:29 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:45:29 +0200
commit5bfc42089e0ecd796311a2655d24ef0169ecfdd1 (patch)
treeef24aec9c22e281ff0222f4dcc062c745b311b85 /misc
parent6a13dcd19c7187702daef60fa481005f0c76dca7 (diff)
downloadslackbuilds-5bfc42089e0ecd796311a2655d24ef0169ecfdd1.tar.gz
slackbuilds-5bfc42089e0ecd796311a2655d24ef0169ecfdd1.tar.xz
misc/gnome-doc-utils: Updated for version 0.12.2
Diffstat (limited to 'misc')
-rw-r--r--misc/gnome-doc-utils/README16
-rw-r--r--misc/gnome-doc-utils/gnome-doc-utils.SlackBuild23
-rw-r--r--misc/gnome-doc-utils/gnome-doc-utils.info12
-rw-r--r--misc/gnome-doc-utils/slack-desc21
4 files changed, 43 insertions, 29 deletions
diff --git a/misc/gnome-doc-utils/README b/misc/gnome-doc-utils/README
index b008a6d842..acade7e13b 100644
--- a/misc/gnome-doc-utils/README
+++ b/misc/gnome-doc-utils/README
@@ -1,10 +1,6 @@
-gnome-doc-utils
-
-gnome-doc-utils is a collection of documentation utilities for the
-project. Notably, it contains utilities for building documentation
-and all auxiliary files in your source tree, and it contains the
-DocBook XSLT stylesheets that were once distributed with Yelp.
-Starting with Gnome 2.8, Yelp will require gnome-doc-utils for the
-XSLT.
-
-Website: http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/
+gnome-doc-utils is a collection of documentation utilities
+for the project. Notably, it contains utilities for building
+documentation and all auxiliary files in your source tree,
+and it contains the DocBook XSLT stylesheets that were once
+distributed with Yelp. Starting with Gnome 2.8, Yelp will
+require gnome-doc-utils for the XSLT.
diff --git a/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild b/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
index 2dca6868bc..cc5e095afb 100644
--- a/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
+++ b/misc/gnome-doc-utils/gnome-doc-utils.SlackBuild
@@ -1,45 +1,54 @@
#!/bin/sh
# Slackbuild Script for gnome-doc-utils
+#
# Written by James Rich james@chowhouse.com
#
# Modified by the SlackBuilds.org team.
# Assumed to be public domain per our submission policy
-
-# Exit on most errors
-set -e
+# Script maintained by Frank Caraballo <fecaraballo{at}gmail{dot}com>
PRGNAM=gnome-doc-utils
-VERSION=0.8.0
+VERSION=0.12.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Exit on most errors
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
+
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
+ --mandir=/usr/man \
--disable-scrollkeeper
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
diff --git a/misc/gnome-doc-utils/gnome-doc-utils.info b/misc/gnome-doc-utils/gnome-doc-utils.info
index 09a9d33898..3fb5cc6b06 100644
--- a/misc/gnome-doc-utils/gnome-doc-utils.info
+++ b/misc/gnome-doc-utils/gnome-doc-utils.info
@@ -1,8 +1,8 @@
PRGNAM="gnome-doc-utils"
-VERSION="0.8.0"
+VERSION="0.12.2"
HOMEPAGE="http://live.gnome.org/DocumentationProject"
-DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.8/gnome-doc-utils-0.8.0.tar.gz"
-MD5SUM="da340528210716359d1b9368acb1664e"
-MAINTAINER="James Rich"
-EMAIL="james@chowhouse.com"
-APPROVED="danieldk,BP{k},rworkman"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.12/gnome-doc-utils-0.12.2.tar.bz2"
+MD5SUM="e1a9e9ba923b8950f8803c90ebeaadb8"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="David Somero"
diff --git a/misc/gnome-doc-utils/slack-desc b/misc/gnome-doc-utils/slack-desc
index bd679c51e0..629690ff65 100644
--- a/misc/gnome-doc-utils/slack-desc
+++ b/misc/gnome-doc-utils/slack-desc
@@ -1,10 +1,19 @@
-gnome-doc-utils: gnome-doc-utils
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-doc-utils: gnome-doc-utils (collection of documentation utilities)
gnome-doc-utils:
-gnome-doc-utils: gnome-doc-utils is a collection of documentation utilities for
-gnome-doc-utils: the project. Notably, it contains utilities for building
-gnome-doc-utils: documentation and all auxiliary files in your source tree, and
-gnome-doc-utils: it contains the DocBook XSLT stylesheets that were once i
-gnome-doc-utils: distributed with Yelp. Starting with Gnome 2.8, Yelp will
+gnome-doc-utils: gnome-doc-utils is a collection of documentation utilities
+gnome-doc-utils: for the project. Notably, it contains utilities for building
+gnome-doc-utils: documentation and all auxiliary files in your source tree,
+gnome-doc-utils: and it contains the DocBook XSLT stylesheets that were once
+gnome-doc-utils: distributed with Yelp. Starting with Gnome 2.8, Yelp will
gnome-doc-utils: require gnome-doc-utils for the XSLT.
gnome-doc-utils:
+gnome-doc-utils: Homepage: http://live.gnome.org/DocumentationProject
gnome-doc-utils: